Package org.opensaml.profile.context.navigate

# Class OutboundMessageContextLookup

java.lang.Object
org.opensaml.profile.context.navigate.OutboundMessageContextLookup

All Implemented Interfaces:
  `Function<ProfileRequestContext,MessageContext>`, `ContextDataLookupFunction<ProfileRequestContext,MessageContext>`

public class OutboundMessageContextLookup extends Object implements ContextDataLookupFunction<ProfileRequestContext,MessageContext>
A `ContextDataLookupFunction` that returns the outbound `MessageContext` for a `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`OutboundMessageContextLookup()`

## Method Summary

Modifier and Type
Method
Description
`MessageContext`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### OutboundMessageContextLookup

public OutboundMessageContextLookup()

## Method Details

### apply

@Nullable public MessageContext apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,MessageContext>`